/* --- button --- */
.button {
	padding-block: calc(
			var(--sk-button-padding-vertical) - var(--sk-button-border-width) +
				1px
		)
		calc(
			var(--sk-button-padding-vertical) - var(--sk-button-border-width) -
				1px
		);
}

/* --- section-hero --- */
@media (min-width: 1069px) {
	.section-hero .copy-container {
		max-width: 890px;
	}
}

/* --- section-iphone-17-pro --- */
@media (min-width: 1069px) {
	.section-iphone-17-pro .copy-container {
		width: 740px;
		max-width: 740px;
	}
	.section-iphone-17-pro .copy-container .typography-section-copy {
		width: 100%;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-iphone-17-pro .copy-container {
		width: 740px;
		max-width: 740px;
	}
	.section-iphone-17-pro .copy-container .typography-section-copy {
		width: 100%;
	}
}

/* --- section-iphone-air --- */
@media (min-width: 1069px) {
	.section-iphone-air .copy-container {
		max-width: 570px;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-iphone-air .copy-container {
		max-width: 570px;
	}
}

/* --- section-iphone-17 --- */
@media (min-width: 1069px) {
	.section-iphone-17 .copy-container {
		max-width: 680px;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-iphone-17 .copy-container {
		max-width: 680px;
	}
}

/* --- section-airpods-pro --- */
@media (min-width: 1069px) {
	.section-airpods-pro .copy-container {
		width: 740px;
		max-width: 740px;
	}
	.section-airpods-pro .copy-container .typography-section-copy {
		width: 100%;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-airpods-pro .copy-container {
		width: 740px;
		max-width: 740px;
	}
	.section-airpods-pro .copy-container .typography-section-copy {
		width: 100%;
	}
}

/* --- section-apple-watch-series-11 --- */
@media (min-width: 1069px) {
	.section-apple-watch-series-11 .copy-container {
		width: 760px;
		max-width: 760px;
	}
	.section-apple-watch-series-11 .copy-container .typography-section-copy {
		width: 100%;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-apple-watch-series-11 .copy-container {
		width: 760px;
		max-width: 760px;
	}
	.section-apple-watch-series-11 .copy-container .typography-section-copy {
		width: 100%;
	}
}

/* --- section-apple-watch-se-3 --- */
@media (min-width: 1069px) {
	.section-apple-watch-se-3 .copy-container {
		width: 660px;
		max-width: 660px;
	}
	.section-apple-watch-se-3 .copy-container .typography-section-copy {
		width: 100%;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-apple-watch-se-3 .copy-container {
		width: 660px;
		max-width: 660px;
	}
	.section-apple-watch-se-3 .copy-container .typography-section-copy {
		width: 100%;
	}
}

/* --- section-apple-watch-ultra-3 --- */
@media (min-width: 1069px) {
	.section-apple-watch-ultra-3 .copy-container {
		width: 610px;
		max-width: 610px;
	}
	.section-apple-watch-ultra-3 .copy-container .typography-section-copy {
		width: 100%;
	}
}

@media (min-width: 735px) and (max-width: 1068px) {
	.section-apple-watch-ultra-3 .copy-container {
		width: 610px;
		max-width: 610px;
	}
	.section-apple-watch-ultra-3 .copy-container .typography-section-copy {
		width: 100%;
	}
}
